<?php
session_start();
include('config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

include($rutaPhp.$rutaHtml.'/acceso/control.php');
include($rutaPhp.$rutaHtml.'/maqueta/arriba.php');

include($rutaPhp.$rutaHtml.'/librerias/teclado.php');

unset( $_SESSION['producto'] );
unset( $_SESSION['preparacionPaletActual'] );

if($_GET['entrada'] && $_GET['empresa']) {
	
	unset($_SESSION['entradaPaletActual']);
	
	$peticion='SGAEntradasMercancia#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#DETALLEENTRADA#'.$_SESSION['almacen'].';'.$_GET['empresa'].';'.$_GET['entrada'];
}
else {

	//Recarga
	$peticion='SGAEntradasMercancia#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#DETALLEENTRADA#'.$_SESSION['almacen'].';'.$_SESSION['entrada']['Empresa'].';'.$_SESSION['entrada']['NumEntrada'];

}

$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);
	
if($_GET['traza']=='si') {
	echo "<p>".$peticion."</p>";
	print_r($resultado);
}
	
$_SESSION['entrada']=$resultado[0];
$_SESSION['palets']=arreglaArrayPXMobileProxiumResult($_SESSION['entrada']['DetallePalets']);
$_SESSION['productos']=arreglaArrayPXMobileProxiumResult($_SESSION['entrada']['ListaProductos']);

//27-8-2019 creo un nuevo array con los palets utilizados, para poder pintar en rojo los no utilizados
$_SESSION['paletsConProductos']=array();
$_SESSION['paletsSinProductos']=array();
foreach($_SESSION['productos'] as $producto) {
	$palets=arreglaArrayPXMobileProxiumResult($producto['ProductoPalets']);
	foreach($palets as $palet) {
		if($palet['CodigoPalet']!='-') {
			if((int)$palet['CantidadLeida']>0) $_SESSION['paletsConProductos'][]=$palet['CodigoPalet'];
			else $_SESSION['paletsSinProductos'][]=$palet['CodigoPalet'];
		}
	}
}

if($_GET['traza']=='si') {
	echo "<p>Palets con productos:</p>";
	print_r($_SESSION['paletsConProductos']);
	echo "<p>Palets SIN productos:</p>";
	print_r($_SESSION['paletsSinProductos']);
}

?>

<div class="estilosOP">

<div id="popupNumerosSerie" class="popup" style="display:none"></div>
<div id="popupNumerosSerieContenido" class="popupContenidoScroll" style="display:none"></div>

<div id="confirmacionCierre" class="popup" style="display:none">
	<div id="confirmacionCierreContenido" class="popupContenido">
    	<p><img src="<?php echo DIR_IMAGENES; ?>/iconos/advertencia.png" style="width:60px;height:60px;margin-top:20px"/></p>
    	<h2>Confirmación de cierre</h2>
        <p>Atención, esta Entrada tiene discrepancias respecto a la previsión original. ¿Deseas hacer una revisión o confirmar la Entrada?</p>
        <p><input type="button" name="botonRevisar" id="botonRevisar" value="Revisar discrepancias" class="boton" /></p>
        <p style="margin-bottom:50px"><input type="button" name="botonConfirmarDefinitivo" id="botonConfirmarDefinitivo" value="CONFIRMAR ENTRADA" class="boton" /></p>
    </div>
</div>

<h2>Entrada de Mercancía Nº <?php if($_GET['entrada']) echo $_GET['entrada']; else echo $_SESSION['entrada']['NumEntrada']; ?></h2>

<?php
if($resultado[0]['Error']) {
	$valores=explode('#',$resultado[0]['Error']);
	?><p class="error">ERROR: <?php echo $valores[1]; ?></p><?php
}
else {
?>

<table class="tablaFormateada anchoMaximo desplazamientoSuperior">
<tr>
	<?php if(count($_SESSION['empresas'])>1) { ?><th>Empresa</th><?php } ?>
    <th>Fecha</th>
	<th>Régimen</th>
	<th>Cliente</th>
	<th>Tipo Entrada</th>
	<th>Documento</th>
	<th>Expedidor</th>
</tr>
<tr>
	<?php if(count($_SESSION['empresas'])>1) { ?><td><?php echo $_SESSION['entrada']['Empresa']; ?></td><?php } ?>
    <td><?php echo fechaNacional($_SESSION['entrada']['FechaEntrada']); ?></td>
    <td><?php echo $_SESSION['entrada']['Regimen']; ?></td>
    <td><?php echo $_SESSION['entrada']['ClientePropietario']; ?></td>
	<td><?php echo $_SESSION['entrada']['TipoEntrada']; ?></td>
	<td><?php echo $_SESSION['entrada']['TipoDocumento']; ?> <?php echo $_SESSION['entrada']['NumeroDocumento']; ?></td>
	<td><?php echo $_SESSION['entrada']['Expedidor']; ?></td>
  </tr>
</table>
    
<?php

// GESTION DE LOS LISTADOS DE PRODUCTOS

$productosALeer=array();
$productosLeidos=array();

$hayDiscrepancias=($_SESSION['entrada']['HayDiscrepancias']=='S');

$discrepanciasSinLeer=array();
$discrepanciasLeidoDeMas=array();
$discrepanciasNuevos=array();

foreach($_SESSION['productos'] as $producto) {
			 
	if($producto['Leido']>0) {
		$productosLeidos[]=$producto;
		if( $producto['Cantidad'] > $producto['Leido'] ) $productosALeer[]=$producto;
	}
	else $productosALeer[]=$producto; 
	
	if( $producto['MarcaLineaNueva']=='S') $discrepanciasNuevos[]=$producto;
	else if( $producto['Cantidad']>$producto['Leido']) $discrepanciasSinLeer[]=$producto;
	else if($producto['CantidadExcedida']) $discrepanciasLeidoDeMas[]=$producto;
}

function tablaProdutosSimple($productos,$nuevos) {

	?>
	<table class="tablaFormateada anchoMaximo">
		<tr>
        	<th>Código</th>
            <th>Descripción</th>
            <?php foreach($_SESSION['comportamientos'] as $comportamiento) { ?>
            	<?php if($comportamiento['Activo']=='S') { ?><th><?php echo $comportamiento['Nombre']; ?></th><?php } ?>
            <?php } ?>
            
            <?php if($_SESSION['entrada']['EANVisible']=='S') { ?>
            <th>EAN</th>
            <?php } ?>
            
            <?php if($_SESSION['entrada']['MarcaVisible']=='S') { ?>
            <th>Marca</th>
            <?php } ?>
            
            <th>Cantidad prevista</th>
            <th>Cantidad leida</th>
            <th>Formato</th>
            
		</tr>
		<?php foreach($productos as $producto) { ?>
        
        <?php
        $cadenaNumerosSerie='';
		$numerosSerie=arreglaArrayPXMobileProxiumResult($producto['NumerosSerie']);
		foreach($numerosSerie as $numero) {
			if(!empty($cadenaNumerosSerie)) $cadenaNumerosSerie.=';';
			$cadenaNumerosSerie.=$numero['NumeroSerie'].','.$numero['Leido'].','.$numero['Ubicacion'];
		}
        ?>
        
		<tr class="lineaEntrada">
			<td><?php echo $producto['Codigo']; ?></td>
            <td align="left"><?php echo $producto['Descripcion']; ?></td>
			<?php foreach($_SESSION['comportamientos'] as $comportamiento) { ?>
            	<?php if($comportamiento['Activo']=='S') { ?>
                	<td>
                    	<?php
                            if($comportamiento['Codigo']=='NS' && $producto['NumerosSerie']) {
                                ?><img class="verNumerosSerie clicable" src="<?php echo DIR_IMAGENES; ?>/barcode-buscar.png" style="width:60px" numeros="<?php echo $cadenaNumerosSerie; ?>"/><?php
                            }
                            else if($comportamiento['NombreSQL']=='Regimen') echo $producto['Regimen'];
							else echo formateaTipo($producto[$comportamiento['NombreSQL']],$comportamiento['Tipo']);
                    	?>
                	</td> 
            	<?php } ?>
            <?php } ?>
            
            <?php if($_SESSION['entrada']['EANVisible']=='S') { ?>
            <td align="center"><?php echo $producto['EAN']; ?></td>
            <?php } ?>
            
            <?php if($_SESSION['entrada']['MarcaVisible']=='S') { ?>
            <td align="center"><?php echo $producto['Marca']; ?></td>
            <?php } ?>
            
            <td align="right"><?php if(!$nuevos) echo number_format($producto['Cantidad']-$producto['CantidadExcedida'],0,',','.'); ?></td>
            <td align="right"><?php echo number_format($producto['Leido'],0,',','.'); ?></td>
            <td align="center"><?php echo $producto['Formato']; ?></td>
		</tr>
		<?php }  ?>
	</table>
    <?php

}

if($_GET['discrepancias']) {

	?>
    <img src="<?php echo DIR_IMAGENES; ?>/iconos/advertencia.png" style="width:60px;height:60px;margin-top:20px"/>
    <h2>Revisión de discrepancias</h2>
    <?php
	
	if(count($discrepanciasSinLeer)>0) {
		?><h3>Productos por leer:</h3><?php
		tablaProdutosSimple($discrepanciasSinLeer);
	}
	
	if(count($discrepanciasLeidoDeMas)>0) {
		?><h3>Productos con cantidad leida mayor que la prevista:</h3><?php
		tablaProdutosSimple($discrepanciasLeidoDeMas);
	}
	
	if(count($discrepanciasNuevos)>0) {
		?><h3>Productos leidos no previstos inicialmente:</h3><?php
		tablaProdutosSimple($discrepanciasNuevos,true);
	}

}
else {

if(count($productosALeer)>0 || count($productosLeidos)>0) {
	
	?>
    <h3>Productos a leer:</h3>
    
    <p><input type="submit" name="botonPalets<?php if(count($_SESSION['palets'])==0) { ?>Off<?php } ?>" id="botonPalets<?php if(count($_SESSION['palets'])==0) { ?>Off<?php } ?>" value="Palets asociados: <?php echo count($_SESSION['palets']); ?>" class="boton <?php if(count($_SESSION['palets'])==0) { ?>deshabilitado<?php } ?>"/></p>
    
    <div id="popupPalets" class="popup" style="display:none"></div>
    <div class="popupContenidoScroll" id="popupPaletsContenido" style="display:none">
        <p>Palets con productos asociados a esta Entrada:</p>
        <?php foreach( $_SESSION['palets'] as $palet ) { ?>
        	<?php if(in_array($palet['CodigoPalet'],$_SESSION['paletsConProductos'])) {?>
            <h2><?php echo $palet['CodigoPalet']; ?></h2>
            <?php } else { ?>
            <h2 class="error"><?php echo $palet['CodigoPalet']; ?>
            <img id="borrarPalet<?php echo $palet['CodigoPalet']; ?>" palet="<?php echo $palet['CodigoPalet']; ?>" src="<?php echo DIR_IMAGENES; ?>/x.png" width="67" class="borrarPalet clicable" style="margin-bottom:-22px;margin-right:-70px;"/>
            </h2>
            <?php } ?>
        <?php } ?>
        <p><input type="submit" name="botonAceptarPalets" id="botonAceptarPalets" value="Cerrar" class="boton reducido"/></p>
    </div>
    
	<?php if(count($productosALeer)>0) { ?>
    
    <table class="tablaFormateada anchoMaximo">
            <tr>
                <th>Iniciar</th>
                <th>Código</th>
                <th>Descripción</th>
                <?php foreach($_SESSION['comportamientos'] as $comportamiento) { ?>
                    <?php if($comportamiento['Activo']=='S') { ?><th><?php echo $comportamiento['Nombre']; ?></th><?php } ?>
                <?php } ?>
                <th>Cantidad</th>
                <?php if($_SESSION['verEnCajas']=='S') { ?><th>Cajas</th><?php } ?>
                <th>Formato</th>
                <th>Leído</th>
            </tr>
            <?php
        
            foreach($productosALeer as $producto) {
            
            $datos=$producto['Datos']['PXMobileProxiumResult'];
            
			$contador=0;
             
            ?>
            <tr class="lineaEntrada">
                <td><?php if($producto['Preparado']<$producto['Cantidad'] && ( !$producto['EAN'] && !$producto['DUN'] ) ) { ?><input name="iniciar<?php echo $contador; ?>" type="checkbox" class="checkGrande selectorInicio" id="iniciar<?php echo $contador; ?>" codigo="<?php echo $producto['Codigo']; ?>" <?php foreach($_SESSION['comportamientosGlobales'] as $comportamiento) if($comportamiento['NombreSQL']!='Regimen') { echo 'Control'.$comportamiento['NombreSQL'].'='.$producto['Control'.$comportamiento['NombreSQL']].' '; } ?> cantidad="<?php echo $producto['Cantidad']; ?>" cantidadcajas="<?php echo $producto['CantidadCajas']; ?>" embalajeprimariocaja="<?php echo $producto['EmbalajePrimarioCaja']; ?>" leido="<?php echo $producto['Leido']; ?>" lineaentrada="<?php echo $producto['LineaEntrada']; ?>"/><?php } ?></td>
                <td><?php echo $producto['Codigo']; ?></td>
                <td align="left" style="max-width:400px;word-wrap:break-word;"><?php echo $producto['Descripcion']; ?></td>
                <?php foreach($_SESSION['comportamientos'] as $comportamiento) { ?>
                    <?php if($comportamiento['Activo']=='S') { ?>
                    <td><?php
					if($comportamiento['NombreSQL']=='Regimen') echo $producto['Regimen'];
					else if($producto['Control'.$comportamiento['NombreSQL']]=='S') {
						if($producto[$comportamiento['NombreSQL']]) echo formateaTipo($producto[$comportamiento['NombreSQL']],$comportamiento['Tipo']);
						else { ?><img src="<?php echo DIR_IMAGENES; ?>/iconos/informacion.png" style="width:20px"/><br /><span style="font-size:0.9em">Informar</span><?php }
                    }
					?></td>
       	    <?php } ?>
                <?php } ?>
                <td align="right"><?php echo number_format($producto['Cantidad'],0,',','.'); ?></td>
                <?php if($_SESSION['verEnCajas']=='S') { ?><td align="right"><?php echo number_format($producto['CantidadCajas'],2,',','.'); ?><br /></td><?php } ?>
                <td align="center"><?php echo $producto['Formato']; ?></td>
                <td align="center"><?php echo number_format($producto['Leido'],0,',','.'); ?></td>
            </tr>
            <?php
            
            } //Fin iteracion productos
            
            ?>
        </table>
        <?php
		
	}
	else{
		?><p class="error">No constan productos pendientes de leer.</p><?php
	}

	if(count($productosLeidos)>0) {
	
	?><h3>Productos ya leídos:</h3><?php
		
        ?>
        <table class="tablaFormateada anchoMaximo">
            <tr>
                <th>Código</th>
                <th>Descripción</th>
                <?php foreach($_SESSION['comportamientos'] as $comportamiento) { ?>
                    <?php if($comportamiento['Activo']=='S') { ?><th><?php echo $comportamiento['Nombre']; ?></th><?php } ?>
                <?php } ?>
                <th>Cantidad</th>
                <?php if($_SESSION['verEnCajas']=='S') { ?><th>Cajas</th><?php } ?>
                <th width="140">Contenedor</th>
              <th>Formato</th>
            </tr>
            <?php
        
            foreach($productosLeidos as $producto) {
			
				$cadenaNumerosSerie='';
				$numerosSerie=arreglaArrayPXMobileProxiumResult($producto['NumerosSerie']);
				foreach($numerosSerie as $numero) {
					if(!empty($cadenaNumerosSerie)) $cadenaNumerosSerie.=';';
					$cadenaNumerosSerie.=$numero['NumeroSerie'].','.$numero['Leido'].','.$numero['Ubicacion'];
				}
				
				$palets=arreglaArrayPXMobileProxiumResult($producto['ProductoPalets']);
				$cuantosPalets=count($palets);
				
				?>

                <tr class="lineaEntrada <?php if($producto['MarcaLineaNueva']=='S') { ?>verde<?php } ?>" >
                    
					<td><?php echo $producto['Codigo']; ?></td>
                    <td align="left" style="max-width:400px;word-wrap:break-word;"><?php echo $producto['Descripcion']; ?></td>
                    <?php foreach($_SESSION['comportamientos'] as $comportamiento) { ?>
                        <?php if($comportamiento['Activo']=='S') { ?>
                            <td>
                            <?php
                            if($comportamiento['Codigo']=='NS' && $producto['NumerosSerie']) {
                                ?><img class="verNumerosSerie clicable" src="<?php echo DIR_IMAGENES; ?>/barcode-buscar.png" style="width:60px" numeros="<?php echo $cadenaNumerosSerie; ?>"/><?php
                            }
                            else if($comportamiento['NombreSQL']=='Regimen') echo $producto['Regimen'];
							else echo formateaTipo($producto[$comportamiento['NombreSQL']],$comportamiento['Tipo']);
                            ?>
                            </td> 
                        <?php } ?>
                    <?php } ?>
                    <td align="right"><?php echo number_format($producto['Leido'],0,',','.'); ?></td>
                    <?php if($_SESSION['verEnCajas']=='S') { ?><td align="right"><?php echo number_format($producto['LeidoCajas'],2,',','.'); ?><br /></td><?php } ?>
                    
                    <td align="left">
                    <?php
					foreach($palets as $palet) {
						if($palet['CodigoPalet']!='-') {
							if(!(int)$palet['CantidadLeida']>0) { ?><span class="error"><?php }
							echo $palet['CodigoPalet'];
							if(!(int)$palet['CantidadLeida']>0) { ?></span><?php }
                         	if((int)$palet['CantidadLeida']>0) { echo " (".$palet['CantidadLeida'].")"; }
							echo "<br />";
                    	}
					}
					?>
                    </td>
                    
                    <td align="center"><?php echo $producto['Formato']; ?></td>
                    
                </tr>
            
				<?php
            
            } //Fin iteracion productos
            
            ?>
        </table>
        <?php

	}
	
	if(count($productosLeidos)>0) {
		if($_SESSION['entrada']['EstadoOprep']!='Cerrada') {
			?><p><input type="submit" name="botonDesleer" id="botonDesleer" value="Liberar lectura"class="mostrarCargando boton"  style="font-size:0.9em" /></p><?php
		}
	}
	
}
else {
	?><p>Esta Entrada no tiene productos en previsión.</p><?php
}


} //Fin if discrepancias


if(count($productosLeidos)>0) {
	?>
  <p>
    <input type="button" name="botonConfirmarEntrada" id="botonConfirmarEntrada" value="Confirmar entrada" class="boton" />
  </p>
  <?php
}

?>

</div> <!-- classe estilosOP -->

<script>

$(document).ready(function() {

	$('#botonPalets').on("click",function(e){
		e.preventDefault();
		$('#popupPalets').show();
		$('#popupPaletsContenido').show();
		$('html,body').animate({scrollTop:0});
	});
	
	$('#botonAceptarPalets').on("click",function(e){
		$('#popupPalets').hide();
		$('#popupPaletsContenido').hide();
		$('html,body').animate({ scrollTop: 0 }, "slow");
	});
	
	$('#botonDesleer').on("click",function(e){
		window.location='<?php echo $rutaHtml; ?>/entrada-mercancia-desleer.php?entrada=<?php echo $_SESSION['entrada']['NumEntrada']; ?>&empresa=<?php echo $_SESSION['entrada']['Empresa']; ?>'
	});

	$('#botonLectura').on("click",function(e){
	
		$('#popupCargando').show();
		
		var parametros='';
		
		//Primero miramos si hay check de inicio
		$('.selectorInicio').each( function(){
			if( $(this).is(":checked") ) {
				
				parametros='lineaentrada='+$(this).attr('lineaentrada');
				
				/* NO ENTIENDO POR QUÉ SE PASA TODOS ESTOS DATOS PARA LA BÚSQUEDA, CUANDO CON LA LINEA DE ENTRADA ES SUFICIENTE
				parametros+='codigo='+$(this).attr('codigo');
				<?php foreach($_SESSION['comportamientos'] as $comportamiento) { ?><?php if($comportamiento['Activo']=='S') { ?>
				parametros+='&control<?php echo $comportamiento['NombreSQL']; ?>='+$(this).attr('control<?php echo $comportamiento['NombreSQL']; ?>');
				<?php } ?><?php } ?>
				parametros+='&cantidad='+$(this).attr('cantidad');
				parametros+='&cantidadcajas='+$(this).attr('cantidadcajas');
				parametros+='&embalajeprimariocaja='+$(this).attr('embalajeprimariocaja');
				parametros+='&leido='+$(this).attr('leido');
				*/
			}
		});
		
		<?php if($_SESSION['entrada']['Estado']=='Iniciada') { ?>
			window.location='<?php echo $rutaHtml; ?>/entrada-mercancia-proceso.php?'+parametros;
		<?php } else { ?>
			$.post( "<?php echo $rutaHtml; ?>/contenidos/entrada-mercancia-iniciar.php" )
			.done(function(data) {
				var resultado=data.split('#');
				if(resultado[0]==1) {
					$('#popupCargando').hide();
					alert('Error: '+resultado[1]);
				}
				else window.location='<?php echo $rutaHtml; ?>/entrada-mercancia-proceso.php?'+parametros;	
			});
		<?php } ?>
		
	});
	
	$('.selectorInicio').on("click",function(){
		valorActual=$(this).prop('checked');
		$('.selectorInicio').prop('checked',false);
		$(this).prop('checked',valorActual);
	});

	$('#botonFinOrden').on("click",function(e){
		e.preventDefault();
		confirm("Vas a proceder a marcar la Entrada como Completada.")
		.done(function(){
				
			$('#popupCargando').show();
			$.post( "<?php echo $rutaHtml; ?>/contenidos/entrada-mercancia-marcar-completada.php" )
			.done(function(data) {
				var resultado=data.split('#');
				if(resultado[0]==1) {
					$('#popupCargando').hide();
					alert('Error: '+resultado[1]);
				}
				else {
					<?php if($_SESSION['entrada']['Estado']=='Iniciada') { ?>
					$.post( "<?php echo $rutaHtml; ?>/contenidos/entrada-mercancia-finalizar.php" )
					.done(function(data) {
						var resultado=data.split('#');
						if(resultado[0]==1) {
							$('#popupCargando').hide();
							alert('Error: '+resultado[1]);
						}
						else window.location='<?php echo $rutaHtml; ?>/entradas-mercancia.php';	
					});
					<?php } else { ?>
					window.location='<?php echo $rutaHtml; ?>/entradas-mercancia.php';
					<?php } ?>
				}
			});
		});
	});
	
	$('.verNumerosSerie').on('click',function(){
		$.post('<?php echo $rutaHtml; ?>/contenidos/orden-preparacion-numeros-serie.php' , { 'numeros' : $(this).attr('numeros') , 'ocultarPreparado' : 'si' })
		.done(function(data) {
			$('#popupNumerosSerieContenido').html(data);
			$('#popupNumerosSerie').show();
			$('#popupNumerosSerieContenido').show();
			
			var posicion=$(document).scrollTop();
			$('#popupNumerosSerieContenido').offset({ top: posicion+20 });
		});
	});
	
	$('#botonConfirmarEntrada').on('click',function(){
	
		<?php if(count($_SESSION['paletsSinProductos'])>0) { ?>
		
			alert('Atención: Hay palets asignados y no utilizados en la Entrada.<br><br>Esto ocasionará errores de stock,<br>por lo que deben eliminarse previamente a la Confirmación.',null,'error');
		
		<?php } else { ?>
		
			<?php if( $hayDiscrepancias && !$_GET['discrepancias'] ) { ?>
				$('#confirmacionCierre').show();
			<?php } else { ?>
				$('#popupCargando').show();
				window.location='entrada-mercancia-cierre.php';
			<?php } ?>
		
		<?php } ?>
	
	});
	
	$('#botonRevisar').on('click',function(){
		$('#popupCargando').show();
		window.location='?discrepancias=si';
	});
	
	$('#botonConfirmarDefinitivo').on('click',function(){
		$('#popupCargando').show();
		window.location='entrada-mercancia-cierre.php';
	});
	
	$('.borrarPalet').on("click",function() {
		
		var palet=$(this).attr('palet');
		
		confirm('Se va a proceder a desasociar el Palet '+palet+' de la Entrada.<br><br>¿Deseas continuar?')
		.done(function(){
		
			$('#popupCargando').show();
			
			$.post( "<?php echo $rutaHtml; ?>/contenidos/entrada-palet-borrar.php<?php if($_GET['traza']=='si') { ?>?traza=si<?php } ?>", { 'palet' : palet , 'entrada' : '<?php echo $_SESSION['entrada']['NumEntrada']; ?>' })
			.done(function(data) {
				var resultado=data.split('#');
				if(resultado[0]==1) {
					$('#popupCargando').hide();
					alert('Error: '+resultado[1]);
				}
				else window.location='<?php echo $rutaHtml; ?>/entrada-mercancia.php';
			});
			
		});
			
	});
	
});

</script>
<?php
} //Else error


if( !$_GET['discrepancias'] )$noMostrarInfo=true;
include($rutaPhp.$rutaHtml.'/maqueta/menu-entrada-mercancia.php');

include($rutaPhp.$rutaHtml.'/maqueta/abajo.php');
?>